package cn.bsystem.ptuserrole.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ptyhbmDao")
public class PtyhbmDao  extends BaseSqlMapDAO{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
     super.setSqlMapClient(sqlMapClient);      
    }
	
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Ptyhbm(Map map) throws SQLException{
		this.insert("insert_Ptyhbm",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Ptyhbm(List batch) throws SQLException{
		this.insert("batch_insert_Ptyhbm",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Ptyhbm(Map map) throws SQLException{
		return this.update("update_Ptyhbm",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Ptyhbm(Map map) throws SQLException{
		return this.delete("delete_Ptyhbm",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Ptyhbm(Map map) throws SQLException{
		return this.delete("batch_delete_Ptyhbm",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Ptyhbm(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ptyhbm",map);
	}
	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_ptyhbm_ext(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_ptyhbm_ext",map);
	}
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptyhbm(Map map) throws SQLException{
		return this.queryForPage("query_Ptyhbm",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_ptyhbm_ext(Map map) throws SQLException{
		return this.queryForPage("query_ptyhbm_ext",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Ptyhbm(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ptyhbm",map);
	}
	
}
